Search found 350 matches

by raananb
Thu Jul 19, 2018 10:15 am
Forum: Compiler / Linking / IDE Related
Topic: wxmsw31ud.lib [SOLVED]
Replies: 2
Views: 30

Re: wxmsw31ud.lib [SOLVED]

You are right. I changed from Monolithic to Modular and that solved the issue.
by raananb
Thu Jul 19, 2018 9:54 am
Forum: Compiler / Linking / IDE Related
Topic: wxmsw31ud.lib [SOLVED]
Replies: 2
Views: 30

wxmsw31ud.lib [SOLVED]

Using Visual Studio 2017 and wx_vc15.sln, both Release and Debug libraries of Trunk and 3.1.1 build with no errors. Building the debug version of an application fails, with 'wxmsw31ud.lib is not found'. This file is effectively nowhere to be found on any version of wxWidgets. Any idea why it is requ...
by raananb
Thu Jul 19, 2018 8:11 am
Forum: C++ Development
Topic: dynarray [SOLVED]
Replies: 6
Views: 119

Re: dynarray [SOLVED]

The compatibility break bug was reported and a patch was created to restore it (#18169).
by raananb
Sat Jul 14, 2018 7:47 am
Forum: C++ Development
Topic: dynarray [SOLVED]
Replies: 6
Views: 119

Re: dynarray [SOLVED]

No problems with 3.1.1

The trunk is no longer back-compatible for dynarray with 3.1.1 since June 1.
by raananb
Fri Jul 13, 2018 9:07 pm
Forum: C++ Development
Topic: dynarray [SOLVED]
Replies: 6
Views: 119

Re: dynarray [SOLVED]

@doublemax
Both changed, apparently - the compiler with 10.13.5 and the code with the trunk.
I'll try with 3.1.1, and then look into wxVector...

@PB
I dont know if the code was correct, but it worked...
by raananb
Fri Jul 13, 2018 5:30 pm
Forum: C++ Development
Topic: dynarray [SOLVED]
Replies: 6
Views: 119

dynarray [SOLVED]

An application which has been compiled with no errors since a number of years on MSW and OSX, now raises a problem with the code below. Under Windows 10, with today's trunk and Visual Studio 2017 WX_DECLARE_OBJARRAY is undelined with green wigglies, reporting that the function declaration is not fou...
by raananb
Fri Jul 13, 2018 1:38 pm
Forum: C++ Development
Topic: Grid renderers rationale
Replies: 2
Views: 39

Re: Grid renderers rationale

Got it.
Thanks.
by raananb
Fri Jul 13, 2018 9:15 am
Forum: C++ Development
Topic: Grid renderers rationale
Replies: 2
Views: 39

Grid renderers rationale

wxGrid::SetCellValue expects a wxString as a value to place int the cell. When I assign a wxGridCellFloatRenderer to a cell, it means that I intend to have a value of float (double) displayed in the cell. However, the float value must be converted to a wxString to be accepted by SetCellValue. I dont...
by raananb
Sat Jun 23, 2018 11:13 am
Forum: Platform Related Issues
Topic: installing webkitgtk
Replies: 4
Views: 187

Re: installing webkitgtk

After reinstalling libwebkitgtk-dev everything compiles as expected. My application (developed with DialogBlocks) requires an access to a https website. since I did not want to delve into https-specific kits, I decided that wxWebView would be sufficient, but that requires to take care of the fact th...
by raananb
Thu Jun 21, 2018 8:22 am
Forum: Platform Related Issues
Topic: installing webkitgtk
Replies: 4
Views: 187

Re: installing webkitgtk

I installed libwebkitgtk-dev, which configure accepts as a webkit. However, the application fails with this kit (it did not with the older webkitgtk-1.0). BTW, gdb also fails, with a segment fault so that I cannot trace where the problem is I removed libwebkitgtk-dev and installed libwebkitgtk-1.0-0...
by raananb
Mon Jun 18, 2018 9:11 pm
Forum: Compiler / Linking / IDE Related
Topic: Generating executables on Ubuntu 18.04 [SOLVED]
Replies: 15
Views: 623

Re: Generating executables on Ubuntu 18.04 [SOLVED]

Thanks Xaviou -no-pie is the solution.

Edit: it looks like -no-pie only applies to 64-bit app/lib
by raananb
Mon Jun 18, 2018 3:25 pm
Forum: Platform Related Issues
Topic: installing webkitgtk
Replies: 4
Views: 187

installing webkitgtk

I would like to use wxWebView on Ubuntu 16.04. I used to have webkitgtk-1.0 but this is no longer the case, and Ubuntu now proposes 'libwebkitgtk-1.0-common'. I guess (hope) it fills the same functions as webkitgtk-1.0. 'configure' looks for webkit-1.0, but this kit is not available. How can I convi...
by raananb
Mon Jun 18, 2018 11:37 am
Forum: Compiler / Linking / IDE Related
Topic: Generating executables on Ubuntu 18.04 [SOLVED]
Replies: 15
Views: 623

Re: Generating executables on Ubuntu 18.04 [SOLVED]

The program works as expected when run from a terminal or when DialogBlocks compiles & runs it. But this is not the final product. What I am looking for is an executable which can be launched with a click on its icon, and which consequently can be stored on a website and downloaded and run by po...
by raananb
Sun Jun 17, 2018 9:43 pm
Forum: Compiler / Linking / IDE Related
Topic: Generating executables on Ubuntu 18.04 [SOLVED]
Replies: 15
Views: 623

Re: Generating executables on Ubuntu 18.04 [SOLVED]

That removed the error message, but the problem remains.
I built a 64 bits libraries and application, but no change.
by raananb
Sun Jun 17, 2018 8:55 pm
Forum: Compiler / Linking / IDE Related
Topic: Generating executables on Ubuntu 18.04 [SOLVED]
Replies: 15
Views: 623

Re: Generating executables on Ubuntu 18.04 [SOLVED]

When I say the application executes from within DialogBlocks is that DialogBlocks executes it when the compilation terminates. The file produced 'Project1' in the GCCRelease folder will not execute if clicked in its folder, and its icon is a Text icon and not the usual executable Square on its corne...

Go to advanced search